LibreOffice: DateTimeShape Service Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Included Services | List of all members
DateTimeShape Service Reference

This service is implemented by the date and time presentation shape. More...

`import <DateTimeShape.idl;`

Inheritance diagram for DateTimeShape:

## Included Services
service | com::sun::star::presentation::Shape
service | com::sun::star::drawing::TextShape
Included Services inherited from TextShape
service | com::sun::star::drawing::Shape
service | com::sun::star::drawing::FillProperties
service | com::sun::star::drawing::LineProperties
service | com::sun::star::drawing::ShadowProperties
service | com::sun::star::drawing::Text
service | com::sun::star::drawing::RotationDescriptor
Included Services inherited from Text
service | com::sun::star::drawing::TextProperties
| The properties in this service describe the style for rendering a shapes text area.
Included Services inherited from TextProperties
service | com::sun::star::style::CharacterProperties
| The properties in this service set default formats for text inside the Shape.
service | com::sun::star::style::CharacterPropertiesAsian
| The properties in this service set default formats for Asian text inside the Shape.
service | com::sun::star::style::CharacterPropertiesComplex
| The properties in this service set default formats for complex text inside the Shape.
service | com::sun::star::style::ParagraphProperties
| The properties in this service set default formats for text inside the Shape.
service | com::sun::star::style::ParagraphPropertiesAsian
| The properties in this service set default formats for Asian text inside the Shape.
service | com::sun::star::style::ParagraphPropertiesComplex
| The properties in this service set default formats for complex text inside the Shape.

## Additional Inherited Members
Public Types inherited from Shape
typedef sequence< com::sun::star::beans::PropertyValue > | InteropGrabBag
| Grab bag of shape properties, used as a string-any map for interim interop purposes.
Public Types inherited from CharacterProperties
typedef sequence< string > | CharStyleNames
| This optional property specifies the names of the all styles applied to the font.
typedef sequence< com::sun::star::beans::PropertyValue > | CharInteropGrabBag
| Grab bag of character properties, used as a string-any map for interim interop purposes.
Public Types inherited from ParagraphProperties
typedef sequence< com::sun::star::beans::PropertyValue > | ParaInteropGrabBag
| Grab bag of paragraph properties, used as a string-any map for interim interop purposes.
typedef sequence< com::sun::star::style::TabStop > | ParaTabStops
| specifies the positions and kinds of the tab stops within this paragraph.
Exported Interfaces inherited from Shape
interface | com::sun::star::beans::XPropertySet
| handles all the properties of this instance.
interface | com::sun::star::drawing::XShape
| This gives you the size and position of this Shape and lets you change it.
interface | com::sun::star::lang::XComponent
| is used for lifetime control of this Shape.
interface | com::sun::star::drawing::XShapeDescriptor
| The XShapeDescriptor tells you what kind of Shape this instance is.
interface | com::sun::star::drawing::XGluePointsSupplier
| This interfaces gives access to an optional container of gluepoints.
interface | com::sun::star::beans::XTolerantMultiPropertySet
Exported Interfaces inherited from Text
interface | com::sun::star::text::XText
| With this interface you can modify the text of this Shape.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object.
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object
com::sun::star::awt::Size | getSize ()
| gets the size of this object.
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object.
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XText
void | insertTextContent ([in] com::sun::star::text::XTextRange xRange, [in] com::sun::star::text::XTextContent xContent, [in] boolean bAbsorb) raises ( com::sun::star::lang::IllegalArgumentException )
| inserts a content, such as a text table, text frame or text field.
void | removeTextContent ([in] com::sun::star::text::XTextContent xContent) raises ( com::sun::star::container::NoSuchElementException )
| removes the specified content from the text object.
Public Member Functions inherited from XSimpleText
com::sun::star::text::XTextCursor | createTextCursor ()
com::sun::star::text::XTextCursor | createTextCursorByRange ([in] com::sun::star::text::XTextRange aTextPosition)
void | insertString ([in] com::sun::star::text::XTextRange xRange, [in] string aString, [in] boolean bAbsorb)
| inserts a string of characters into the text.
void | insertControlCharacter ([in] com::sun::star::text::XTextRange xRange, [in] short nControlCharacter, [in] boolean bAbsorb) raises ( com::sun::star::lang::IllegalArgumentException )
| inserts a control character (like a paragraph break or a hard space) into the text.
Public Member Functions inherited from XTextRange
XText | getText ()
XTextRange | getStart ()
XTextRange | getEnd ()
string | getString ()
void | setString ([in] string aString)
| the whole string of characters of this piece of text is replaced.
Public Attributes inherited from Shape
string | Bookmark
| is a generic URL for the property OnClick.
com::sun::star::util::Color | DimColor
| This is the color for dimming this shape.
boolean | DimHide
| If this property and the property com::sun::star::drawing::Shape::DimPrev are both `TRUE`, the shape is hidden instead of dimmed to a color.
boolean | DimPrevious
| If this property is `TRUE`, this shape is dimmed to the color of property com::sun::star::drawing::Shape::DimColor after executing its animation effect.
com::sun::star::presentation::AnimationEffect | Effect
| selects the animation effect of this shape.
boolean | IsEmptyPresentationObject
| If this is a default presentation object and if it is empty, this property is `TRUE`.
boolean | IsPresentationObject
| If this is a presentation object, this property is `TRUE`.
com::sun::star::presentation::ClickAction | OnClick
| selects an action performed after the user clicks on this shape.
boolean | PlayFull
| If this property is `TRUE`, the sound of this shape is played in full.
long | PresentationOrder
| This is the position of this shape in the order of the shapes which can be animated on its page.
string | Sound
| This is the URL to a sound file that is played while the animation effect of this shape is running.
boolean | SoundOn
| If this property is set to `TRUE`, a sound is played while the animation effect is executed.
com::sun::star::presentation::AnimationSpeed | Speed
| This is the speed of the animation effect.
com::sun::star::presentation::AnimationEffect | TextEffect
| This is the animation effect for the text inside this shape.
long | Verb
| specifies an "OLE2" verb for the ClickAction VERB in the property com::sun::star::drawing::Shape::OnClick.
Public Attributes inherited from TextShape
long | CornerRadius
| This is the radius of the corners.
Public Attributes inherited from Shape
long | ZOrder
| is used to query or change the ZOrder of this Shape.
short | LayerID
| This is the ID of the Layer to which this Shape is attached.
string | LayerName
| This is the name of the Layer to which this Shape is attached.
boolean | Visible
| If this is `FALSE`, the Shape is not visible on screen outputs.
boolean | Printable
| If this is `FALSE`, the Shape is not visible on printer outputs.
boolean | MoveProtect
| With this set to `TRUE`, this Shape cannot be moved interactively in the user interface.
string | Name
| This is the name of this Shape.
boolean | SizeProtect
| With this set to `TRUE`, this Shape may not be sized interactively in the user interface.
com::sun::star::style::XStyle | Style
| this property lets you get and set a style for this shape.
com::sun::star::drawing::HomogenMatrix3 | Transformation
| this property lets you get and set the transformation matrix for this shape.
com::sun::star::container::XNameContainer | ShapeUserDefinedAttributes
| this property stores xml attributes.
long | NavigationOrder
| this property stores the navigation order of this shape.
string | Hyperlink
| this property lets you get and set a hyperlink for this shape.
short | RelativeHeight
| contains the relative height of the object.
short | RelativeWidth
| contains the relative width of the object.
short | RelativeHeightRelation
| contains the relation of the relative height of the object.
short | RelativeWidthRelation
| contains the relation of the relative width of the object.
string | Title
| contains short title for the object
string | Description
| contains description for the object
boolean | Decorative
| Determines if the shape is purely decorative.
Public Attributes inherited from FillProperties
FillStyle | FillStyle
| This enumeration selects the style the area will be filled with.
com::sun::star::util::Color | FillColor
| If the property FillStyle is set to FillStyle::SOLID, this is the color used.
short | FillTransparence
| This is the transparence of the filled area.
string | FillTransparenceGradientName
| If a gradient is used for transparency, this is the name of the used transparence gradient style or it is empty.
com::sun::star::awt::Gradient | FillTransparenceGradient
| This describes the transparency of the fill area as a gradient.
string | FillGradientName
| If the property FillStyle is set to FillStyle::GRADIENT, this is the name of the used fill gradient style.
com::sun::star::awt::Gradient | FillGradient
| If the property FillStyle is set to FillStyle::GRADIENT, this describes the gradient used.
string | FillHatchName
| If the property FillStyle is set to FillStyle::HATCH, this is the name of the used fill hatch style.
Hatch | FillHatch
| If the property FillStyle is set to FillStyle::HATCH, this describes the hatch used.
boolean | FillBackground
| if this is `TRUE`, the transparent background of a hatch filled area is drawn in the current background color.
string | FillBitmapName
| If the property FillStyle is set to FillStyle::BITMAP, this is the name of the used fill bitmap style.
com::sun::star::awt::XBitmap | FillBitmap
| If the property FillStyle is set to FillStyle::BITMAP, this is the bitmap used.
string | FillBitmapURL
| If the property FillStyle is set to FillStyle::BITMAP, this is a URL to the bitmap used.
short | FillBitmapPositionOffsetX
| This is the horizontal offset where the tile starts.
short | FillBitmapPositionOffsetY
| This is the vertical offset where the tile starts.
short | FillBitmapOffsetX
| Every second line of tiles is moved the given percent of the width of the bitmap.
short | FillBitmapOffsetY
| Every second row of tiles is moved the given percent of the height of the bitmap.
RectanglePoint | FillBitmapRectanglePoint
| The RectanglePoint specifies the position inside of the bitmap to use as the top left position for rendering.
boolean | FillBitmapLogicalSize
| specifies if the size is given in percentage or as an absolute value.
long | FillBitmapSizeX
| This is the width of the tile for filling.
long | FillBitmapSizeY
| This is the height of the tile for filling.
BitmapMode | FillBitmapMode
| this enum selects how an area is filled with a single bitmap.
boolean | FillBitmapStretch
| if set, the fill bitmap is stretched to fill the area of the shape.
boolean | FillBitmapTile
| if set, the fill bitmap is repeated to fill the area of the shape.
com::sun::star::text::GraphicCrop | GraphicCrop
| contains the cropping of the object.
boolean | FillUseSlideBackground
| If this is `TRUE`, and FillStyle is FillStyle::NONE: The area displays the slide background.
Public Attributes inherited from LineProperties
com::sun::star::drawing::LineStyle | LineStyle
| This property contains the type of the line.
com::sun::star::drawing::LineDash | LineDash
| This property contains the dash of the line.
string | LineDashName
| This property contains the name of the dash of the line.
com::sun::star::util::Color | LineColor
| This property contains the line color.
short | LineTransparence
| This property contains the extent of transparency.
long | LineWidth
| This property contains the width of the line in 1/100th mm.
com::sun::star::drawing::LineJoint | LineJoint
| This property defines the rendering of joints between thick lines.
com::sun::star::drawing::LineCap | LineCap
| This property defines the rendering of ends of thick lines.
string | LineStartName
| This property contains the name of the line start poly polygon Bezier.
string | LineEndName
| This property contains the name of the line end poly polygon Bezier.
com::sun::star::drawing::PolyPolygonBezierCoords | LineStart
| This property contains the line start in the form of a poly polygon Bezier.
com::sun::star::drawing::PolyPolygonBezierCoords | LineEnd
| This property contains the line end in the form of a poly polygon Bezier.
boolean | LineStartCenter
| If this property is `TRUE`, the line will start from the center of the polygon.
long | LineStartWidth
| This property contains the width of the line start polygon.
boolean | LineEndCenter
| If this property is `TRUE`, the line will end in the center of the polygon.
long | LineEndWidth
| This property contains the width of the line end polygon.
Public Attributes inherited from ShadowProperties
boolean | Shadow
| enables/disables the shadow of a Shape.
com::sun::star::util::Color | ShadowColor
| This is the color of the shadow of this Shape.
short | ShadowTransparence
| This defines the degree of transparence of the shadow in percent.
long | ShadowXDistance
| This is the horizontal distance of the left edge of the Shape to the shadow.
long | ShadowYDistance
| This is the vertical distance of the top edge of the Shape to the shadow.
long | ShadowBlur
| This defines the degree of blur of the shadow in points.
Public Attributes inherited from TextProperties
boolean | IsNumbering
| If this is `TRUE`, numbering is ON for the text of this Shape.
com::sun::star::container::XIndexReplace | NumberingRules
| describes the numbering levels.
boolean | TextAutoGrowHeight
| If this value is `TRUE`, the height of the Shape is automatically expanded/shrunk when text is added to or removed from the Shape.
boolean | TextAutoGrowWidth
| If this value is `TRUE`, the width of the Shape is automatically expanded/shrunk when text is added to or removed from the Shape.
boolean | TextContourFrame
| If this value is `TRUE`, the left edge of every line of text is aligned with the left edge of this Shape.
com::sun::star::drawing::TextFitToSizeType | TextFitToSize
| With this set to a value other than `NONE`, the text inside of the Shape is stretched or scaled to fit into the Shape.
com::sun::star::drawing::TextHorizontalAdjust | TextHorizontalAdjust
| adjusts the horizontal position of the text inside of the Shape.
com::sun::star::drawing::TextVerticalAdjust | TextVerticalAdjust
| adjusts the vertical position of the text inside of the Shape.
long | TextLeftDistance
| This is the distance from the left edge of the Shape to the left edge of the text.
long | TextRightDistance
| This is the distance from the right edge of the Shape to the right edge of the text.
long | TextUpperDistance
| This is the distance from the upper edge of the Shape to the upper edge of the text.
long | TextLowerDistance
| This is the distance from the lower edge of the Shape to the lower edge of the text.
long | TextMaximumFrameHeight
| with this property you can set the maximum height for a shape with text.
long | TextMaximumFrameWidth
| with this property you can set the maximum width for a shape with text.
long | TextMinimumFrameHeight
| with this property you can set the minimum height for a shape with text.
long | TextMinimumFrameWidth
| with this property you can set the minimum width for a shape with text.
short | TextAnimationAmount
| This is the number of pixels the text is moved in each animation step.
short | TextAnimationCount
| This number defines how many times the text animation is repeated.
short | TextAnimationDelay
| This is the delay in thousandths of a second between each of the animation steps.
com::sun::star::drawing::TextAnimationDirection | TextAnimationDirection
| This enumeration defines the direction in which the text moves.
com::sun::star::drawing::TextAnimationKind | TextAnimationKind
| This value defines the type of animation.
boolean | TextAnimationStartInside
| If this value is `TRUE`, the text is visible at the start of the animation.
boolean | TextAnimationStopInside
| If this value is `TRUE`, the text is visible at the end of the animation.
::com::sun::star::text::WritingMode | TextWritingMode
| This value selects the writing mode for the text.
::com::sun::star::text::XTextColumns | TextColumns
| Column layout properties for the text.
Public Attributes inherited from CharacterProperties
string | CharFontName
| This property specifies the name of the font style.
string | CharFontStyleName
| This property contains the name of the font style.
short | CharFontFamily
| This property contains font family.
short | CharFontCharSet
| This property contains the text encoding of the font.
short | CharFontPitch
| This property contains the font pitch.
com::sun::star::util::Color | CharColor
| This property contains the value of the text color.
short | CharEscapement
| specifies the percentage by which to raise/lower superscript/subscript characters.
float | CharHeight
| This value contains the height of the characters in point.
short | CharUnderline
| This property contains the value for the character underline.
float | CharWeight
| This property contains the value of the font weight.
com::sun::star::awt::FontSlant | CharPosture
| This property contains the value of the posture of the document.
boolean | CharAutoKerning
| This optional property determines whether the kerning tables from the current font are used.
com::sun::star::util::Color | CharBackColor
| This optional property contains the text background color.
long | CharShadingValue
| This optional property contains the text shading value.
boolean | CharBackTransparent
| This property determines if the text background color is set to transparent.
short | CharCaseMap
| This optional property contains the value of the case-mapping of the text for formatting and displaying.
boolean | CharCrossedOut
| This property is `TRUE` if the characters are crossed out.
boolean | CharFlash
| If this optional property is `TRUE`, then the characters are flashing.
short | CharStrikeout
| This property determines the type of the strike out of the character.
boolean | CharWordMode
| If this property is `TRUE`, the underline and strike-through properties are not applied to white spaces.
short | CharKerning
| This optional property contains the value of the kerning of the characters.
com::sun::star::lang::Locale | CharLocale
| This property contains the value of the locale.
boolean | CharKeepTogether
| This optional property marks a range of characters to prevent it from being broken into two lines.
boolean | CharNoLineBreak
| This optional property marks a range of characters to ignore a line break in this area.
boolean | CharShadowed
| This optional property specifies if the characters are formatted and displayed with a shadow effect.
short | CharFontType
| This optional property specifies the fundamental technology of the font.
string | CharStyleName
| This optional property specifies the name of the applied character style.
boolean | CharContoured
| This optional property specifies if the characters are formatted and displayed with a contour effect.
boolean | CharCombineIsOn
| This optional property determines whether text is formatted in two lines.
string | CharCombinePrefix
| This optional property contains the prefix (usually parenthesis) before text that is formatted in two lines.
string | CharCombineSuffix
| This optional property contains the suffix (usually parenthesis) after text that is formatted in two lines.
short | CharEmphasis
| This optional property contains the font emphasis value.
short | CharRelief
| This optional property contains the relief style of the characters.
string | RubyText
| This optional property contains the text that is set as ruby.
short | RubyAdjust
| This optional property determines the adjustment of the ruby .
string | RubyCharStyleName
| This optional property contains the name of the character style that is applied to RubyText.
boolean | RubyIsAbove
| This optional property determines whether the ruby text is printed above/left or below/right of the text.
short | CharRotation
| This optional property determines the rotation of a character in tenths of a degree.
boolean | CharRotationIsFitToLine
| This optional property determines whether the text formatting tries to fit rotated text into the surrounded line height.
short | CharScaleWidth
| This optional property determines the percentage value for scaling the width of characters.
string | HyperLinkURL
| This optional property contains the URL of a hyperlink.
string | HyperLinkTarget
| This optional property contains the name of the target for a hyperlink.
string | HyperLinkName
| This optional property contains the name of the hyperlink.
string | VisitedCharStyleName
| This optional property contains the character style name for visited hyperlinks.
string | UnvisitedCharStyleName
| This optional property contains the character style name for unvisited hyperlinks.
byte | CharEscapementHeight
| This is the relative height used for subscript or superscript characters in units of percent.
boolean | CharNoHyphenation
| This optional property determines if the word can be hyphenated at the character by automatic hyphenation.
com::sun::star::util::Color | CharUnderlineColor
| This property contains the color of the underline for the characters.
boolean | CharUnderlineHasColor
| This property specifies if the property CharUnderlineColor is used for an underline.
boolean | CharHidden
| If this optional property is `TRUE`, then the characters are invisible.
com::sun::star::container::XNameContainer | TextUserDefinedAttributes
| This property stores XML attributes.
com::sun::star::table::BorderLine2 | CharLeftBorder
| This property contains the left border of the object.
com::sun::star::table::BorderLine2 | CharRightBorder
| This property contains the right border of the object.
com::sun::star::table::BorderLine2 | CharTopBorder
| This property contains the top border of the object.
com::sun::star::table::BorderLine2 | CharBottomBorder
| This property contains the bottom border of the object.
long | CharBorderDistance
| This property contains the distance from the border to the object.
long | CharLeftBorderDistance
| This property contains the distance from the left border to the object.
long | CharRightBorderDistance
| This property contains the distance from the right border to the object.
long | CharTopBorderDistance
| This property contains the distance from the top border to the object.
long | CharBottomBorderDistance
| This property contains the distance from the bottom border to the object.
com::sun::star::table::ShadowFormat | CharShadowFormat
| Determines the type, color, and width of the shadow.
com::sun::star::util::Color | CharHighlight
| Determines the color of the highlight.
short | RubyPosition
| This optional property determines the position of the ruby .
short | CharTransparence
| This is the transparency of the character text.
short | CharColorTheme
| If available, keeps the color theme index, so that the character can be re-colored easily based on a theme.
short | CharColorTintOrShade
| Tint or shade of the character color.
Public Attributes inherited from ParagraphProperties
com::sun::star::style::ParagraphAdjust | ParaAdjust
| determines the adjustment of a paragraph.
com::sun::star::style::LineSpacing | ParaLineSpacing
| contains the type of the line spacing of a paragraph.
com::sun::star::util::Color | ParaBackColor
| contains the paragraph background color.
boolean | ParaBackTransparent
| This value is `TRUE` if the paragraph background color is set to transparent.
string | ParaBackGraphicURL
| contains the value of a link for the background graphic of a paragraph.
string | ParaBackGraphicFilter
| contains the name of the graphic filter for the background graphic of a paragraph.
com::sun::star::style::GraphicLocation | ParaBackGraphicLocation
| contains the value for the position of a background graphic.
short | ParaLastLineAdjust
| determines the adjustment of the last line.
boolean | ParaExpandSingleWord
| determines if single words are stretched.
long | ParaLeftMargin
| determines the left margin of the paragraph in 100th mm.
long | ParaRightMargin
| determines the right margin of the paragraph in 100th mm.
long | ParaTopMargin
| determines the top margin of the paragraph in 100th mm.
long | ParaBottomMargin
| determines the bottom margin of the paragraph in 100th mm.
boolean | ParaContextMargin
| determines if contextual spacing is used.
boolean | ParaLineNumberCount
| determines if the paragraph is included in the line numbering.
long | ParaLineNumberStartValue
| contains the start value for the line numbering.
string | PageDescName
| If this property is set, it creates a page break before the paragraph it belongs to and assigns the value as the name of the new page style sheet to use.
short | PageNumberOffset
| If a page break property is set at a paragraph, this property contains the new value for the page number.
boolean | ParaRegisterModeActive
| determines if the register mode is applied to a paragraph.
string | ParaStyleName
| contains the name of the current paragraph style.
string | PageStyleName
| contains the name of the current page style.
com::sun::star::style::DropCapFormat | DropCapFormat
| specifies whether the first characters of the paragraph are displayed in capital letters and how they are formatted.
boolean | DropCapWholeWord
| specifies if the property DropCapFormat is applied to the whole first word.
boolean | ParaKeepTogether
| Setting this property to `TRUE` prevents page or column breaks between this and the following paragraph.
boolean | ParaSplit
| Setting this property to `FALSE` prevents the paragraph from getting split into two pages or columns.
short | NumberingLevel
| specifies the numbering level of the paragraph.
com::sun::star::container::XIndexReplace | NumberingRules
| contains the numbering rules applied to this paragraph.
short | NumberingStartValue
| specifies the start value for numbering if a new numbering starts at this paragraph.
boolean | ParaIsNumberingRestart
| determines if the numbering rules restart, counting at the current paragraph.
string | NumberingStyleName
| specifies the name of the style for the numbering.
byte | ParaOrphans
| specifies the minimum number of lines of the paragraph that have to be at bottom of a page if the paragraph is spread over more than one page.
byte | ParaWidows
| specifies the minimum number of lines of the paragraph that have to be at top of a page if the paragraph is spread over more than one page.
com::sun::star::table::ShadowFormat | ParaShadowFormat
| determines the type, color, and size of the shadow.
com::sun::star::table::BorderLine | LeftBorder
| contains the left border of the object.
com::sun::star::table::BorderLine | RightBorder
| contains the right border of the object.
com::sun::star::table::BorderLine | TopBorder
| contains the top border of the object.
com::sun::star::table::BorderLine | BottomBorder
| contains the bottom border of the object.
long | BorderDistance
| contains the distance from the border to the object.
long | LeftBorderDistance
| contains the distance from the left border to the object.
long | RightBorderDistance
| contains the distance from the right border to the object.
long | TopBorderDistance
| contains the distance from the top border to the object.
long | BottomBorderDistance
| contains the distance from the bottom border to the object.
com::sun::star::style::BreakType | BreakType
| determines the type of break that is applied at the beginning of the table.
string | DropCapCharStyleName
| specifies the character style name for drop caps.
long | ParaFirstLineIndent
| specifies the indent for the first line.
boolean | ParaIsAutoFirstLineIndent
| determines if the first line should be indented automatically.
boolean | ParaIsHyphenation
| specifies if automatic hyphenation is applied.
short | ParaHyphenationMaxHyphens
| specifies the maximum number of consecutive hyphens.
short | ParaHyphenationMaxLeadingChars
| specifies the minimum number of characters to remain before the hyphen character (when hyphenation is applied).
short | ParaHyphenationMaxTrailingChars
| specifies the minimum number of characters to remain after the hyphen character (when hyphenation is applied).
short | ParaVertAlignment
| specifies the vertical alignment of a paragraph.
com::sun::star::container::XNameContainer | ParaUserDefinedAttributes
| this property stores xml attributes.
boolean | NumberingIsNumber
| returns `FALSE` if the paragraph is part of a numbering, but has no numbering label.
boolean | ParaIsConnectBorder
| the property determines if borders set at a paragraph are merged with the next paragraph.
string | ListId
| specifies the id of the list to which the paragraph belongs
short | OutlineLevel
| specifies the outline level to which the paragraph belongs
com::sun::star::graphic::XGraphic | ParaBackGraphic
| contains the graphic for the background of a paragraph.
boolean | ContinueingPreviousSubTree
| specifies that a child node of a parent node that is not counted is continuing the numbering of parent's previous node's sub tree.
string | ListLabelString
| allows reading the generated numbering list label.
boolean | ParaHyphenationNoCaps
| Specifies whether words written in CAPS will be hyphenated.
boolean | ParaHyphenationNoLastWord
| Specifies whether last word of paragraph will be hyphenated.
short | ParaHyphenationMinWordLength
| specifies the minimum word length in characters, when hyphenation is applied.
long | ParaHyphenationZone
| specifies the hyphenation zone, i.e.
long | SortedTextId
| contains a paragraph identifier within the actual text, which also shows the position of the paragraph relative to the other paragraphs of the same text, i.e.
boolean | ParaHyphenationKeep
| This value is `TRUE` if both parts of a hyphenated word shall lie within a single spread, page, or column.
long | ParaHyphenationKeepType
| Specifies how last line on a page or on other regions is hyphenated.
short | ParaHyphenationCompoundMinLeadingChars
| specifies the minimum number of characters of the compound word part to remain before the hyphen character (when hyphenation is applied).
Public Attributes inherited from RotationDescriptor
long | RotateAngle
| This is the angle for rotation of this Shape.
long | ShearAngle
| This is the amount of shearing for this Shape.
Protected Types inherited from ParagraphProperties
typedef sequence< com::sun::star::beans::PropertyValue > | ParaInteropGrabBag
| Grab bag of paragraph properties, used as a string-any map for interim interop purposes.
typedef sequence< com::sun::star::style::TabStop > | ParaTabStops
| specifies the positions and kinds of the tab stops within this paragraph.
Protected Member Functions inherited from XGluePointsSupplier
com::sun::star::container::XIndexContainer | getGluePoints ()
Protected Member Functions inherited from XTolerantMultiPropertySet
sequence< com::sun::star::beans::SetPropertyTolerantFailed > | setPropertyValuesTolerant ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::lang::IllegalArgumentException )
| sets the values to the properties with the specified names.
sequence< com::sun::star::beans::GetPropertyTolerantResult > | getPropertyValuesTolerant ([in] sequence< string > aPropertyNames)
| retrieve the values of the specified properties
sequence< com::sun::star::beans::GetDirectPropertyTolerantResult > | getDirectPropertyValuesTolerant ([in] sequence< string > aPropertyNames)
| retrieve only those values of the specified properties which are direct values.
Protected Attributes inherited from CharacterPropertiesAsian
float | CharHeightAsian
| This value contains the height of the characters in point.
float | CharWeightAsian
| This property contains the value of the font weight.
string | CharFontNameAsian
| This property specifies the name of the font style.
string | CharFontStyleNameAsian
| This property contains the name of the font style.
short | CharFontFamilyAsian
| This property contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSetAsian
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitchAsian
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::awt::FontSlant | CharPostureAsian
| This property contains the value of the posture of the document.
com::sun::star::lang::Locale | CharLocaleAsian
| contains the value of the locale.
Protected Attributes inherited from CharacterPropertiesComplex
float | CharHeightComplex
| This value contains the height of the characters in point.
float | CharWeightComplex
| This property contains the value of the font weight.
string | CharFontNameComplex
| This property specifies the name of the font style.
string | CharFontStyleNameComplex
| This property contains the name of the font style.
short | CharFontFamilyComplex
| This property contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSetComplex
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitchComplex
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::awt::FontSlant | CharPostureComplex
| This property contains the value of the posture of the document.
com::sun::star::lang::Locale | CharLocaleComplex
| contains the value of the locale.
Protected Attributes inherited from ParagraphProperties
com::sun::star::style::ParagraphAdjust | ParaAdjust
| determines the adjustment of a paragraph.
com::sun::star::style::LineSpacing | ParaLineSpacing
| contains the type of the line spacing of a paragraph.
com::sun::star::util::Color | ParaBackColor
| contains the paragraph background color.
boolean | ParaBackTransparent
| This value is `TRUE` if the paragraph background color is set to transparent.
string | ParaBackGraphicURL
| contains the value of a link for the background graphic of a paragraph.
string | ParaBackGraphicFilter
| contains the name of the graphic filter for the background graphic of a paragraph.
com::sun::star::style::GraphicLocation | ParaBackGraphicLocation
| contains the value for the position of a background graphic.
short | ParaLastLineAdjust
| determines the adjustment of the last line.
boolean | ParaExpandSingleWord
| determines if single words are stretched.
long | ParaLeftMargin
| determines the left margin of the paragraph in 100th mm.
long | ParaRightMargin
| determines the right margin of the paragraph in 100th mm.
long | ParaTopMargin
| determines the top margin of the paragraph in 100th mm.
long | ParaBottomMargin
| determines the bottom margin of the paragraph in 100th mm.
boolean | ParaContextMargin
| determines if contextual spacing is used.
boolean | ParaLineNumberCount
| determines if the paragraph is included in the line numbering.
long | ParaLineNumberStartValue
| contains the start value for the line numbering.
string | PageDescName
| If this property is set, it creates a page break before the paragraph it belongs to and assigns the value as the name of the new page style sheet to use.
short | PageNumberOffset
| If a page break property is set at a paragraph, this property contains the new value for the page number.
boolean | ParaRegisterModeActive
| determines if the register mode is applied to a paragraph.
string | ParaStyleName
| contains the name of the current paragraph style.
string | PageStyleName
| contains the name of the current page style.
com::sun::star::style::DropCapFormat | DropCapFormat
| specifies whether the first characters of the paragraph are displayed in capital letters and how they are formatted.
boolean | DropCapWholeWord
| specifies if the property DropCapFormat is applied to the whole first word.
boolean | ParaKeepTogether
| Setting this property to `TRUE` prevents page or column breaks between this and the following paragraph.
boolean | ParaSplit
| Setting this property to `FALSE` prevents the paragraph from getting split into two pages or columns.
short | NumberingLevel
| specifies the numbering level of the paragraph.
com::sun::star::container::XIndexReplace | NumberingRules
| contains the numbering rules applied to this paragraph.
short | NumberingStartValue
| specifies the start value for numbering if a new numbering starts at this paragraph.
boolean | ParaIsNumberingRestart
| determines if the numbering rules restart, counting at the current paragraph.
string | NumberingStyleName
| specifies the name of the style for the numbering.
byte | ParaOrphans
| specifies the minimum number of lines of the paragraph that have to be at bottom of a page if the paragraph is spread over more than one page.
byte | ParaWidows
| specifies the minimum number of lines of the paragraph that have to be at top of a page if the paragraph is spread over more than one page.
com::sun::star::table::ShadowFormat | ParaShadowFormat
| determines the type, color, and size of the shadow.
com::sun::star::table::BorderLine | LeftBorder
| contains the left border of the object.
com::sun::star::table::BorderLine | RightBorder
| contains the right border of the object.
com::sun::star::table::BorderLine | TopBorder
| contains the top border of the object.
com::sun::star::table::BorderLine | BottomBorder
| contains the bottom border of the object.
long | BorderDistance
| contains the distance from the border to the object.
long | LeftBorderDistance
| contains the distance from the left border to the object.
long | RightBorderDistance
| contains the distance from the right border to the object.
long | TopBorderDistance
| contains the distance from the top border to the object.
long | BottomBorderDistance
| contains the distance from the bottom border to the object.
com::sun::star::style::BreakType | BreakType
| determines the type of break that is applied at the beginning of the table.
string | DropCapCharStyleName
| specifies the character style name for drop caps.
long | ParaFirstLineIndent
| specifies the indent for the first line.
boolean | ParaIsAutoFirstLineIndent
| determines if the first line should be indented automatically.
boolean | ParaIsHyphenation
| specifies if automatic hyphenation is applied.
short | ParaHyphenationMaxHyphens
| specifies the maximum number of consecutive hyphens.
short | ParaHyphenationMaxLeadingChars
| specifies the minimum number of characters to remain before the hyphen character (when hyphenation is applied).
short | ParaHyphenationMaxTrailingChars
| specifies the minimum number of characters to remain after the hyphen character (when hyphenation is applied).
short | ParaVertAlignment
| specifies the vertical alignment of a paragraph.
com::sun::star::container::XNameContainer | ParaUserDefinedAttributes
| this property stores xml attributes.
boolean | NumberingIsNumber
| returns `FALSE` if the paragraph is part of a numbering, but has no numbering label.
boolean | ParaIsConnectBorder
| the property determines if borders set at a paragraph are merged with the next paragraph.
string | ListId
| specifies the id of the list to which the paragraph belongs
short | OutlineLevel
| specifies the outline level to which the paragraph belongs
com::sun::star::graphic::XGraphic | ParaBackGraphic
| contains the graphic for the background of a paragraph.
boolean | ContinueingPreviousSubTree
| specifies that a child node of a parent node that is not counted is continuing the numbering of parent's previous node's sub tree.
string | ListLabelString
| allows reading the generated numbering list label.
boolean | ParaHyphenationNoCaps
| Specifies whether words written in CAPS will be hyphenated.
boolean | ParaHyphenationNoLastWord
| Specifies whether last word of paragraph will be hyphenated.
short | ParaHyphenationMinWordLength
| specifies the minimum word length in characters, when hyphenation is applied.
long | ParaHyphenationZone
| specifies the hyphenation zone, i.e.
long | SortedTextId
| contains a paragraph identifier within the actual text, which also shows the position of the paragraph relative to the other paragraphs of the same text, i.e.
boolean | ParaHyphenationKeep
| This value is `TRUE` if both parts of a hyphenated word shall lie within a single spread, page, or column.
long | ParaHyphenationKeepType
| Specifies how last line on a page or on other regions is hyphenated.
short | ParaHyphenationCompoundMinLeadingChars
| specifies the minimum number of characters of the compound word part to remain before the hyphen character (when hyphenation is applied).
Protected Attributes inherited from ParagraphPropertiesAsian
boolean | ParaIsHangingPunctuation
| determines if hanging punctuation is allowed.
boolean | ParaIsCharacterDistance
| determines if a distance between Asian text, western text or complex text is set.
boolean | ParaIsForbiddenRules
| determines if the rules for forbidden characters at the start or end of text lines are considered.
Protected Attributes inherited from ParagraphPropertiesComplex
short | WritingMode
| contains the writing direction, as represented by the com::sun::star::text::WritingMode2 constants

## Detailed Description

This service is implemented by the date and time presentation shape.

Presentation shapes can be used in a presentation page layouts and their position and size is by default set by the presentation shapes on the com::sun::star::drawing::MasterPage.

## Exported Interfaces

## ◆ com::sun::star::drawing::TextShape

service com::sun::star::drawing::TextShape

## ◆ com::sun::star::presentation::Shape

service com::sun::star::presentation::Shape

The documentation for this service was generated from the following file:

- com/sun/star/presentation/DateTimeShape.idl